spring.application.name=migracion-sicanet

spring.datasource.url=jdbc:mysql://45.79.38.135:3306/sicanets_kapitalizer
spring.datasource.username=desarrollo
spring.datasource.password=FbHIigY6mjEfS9AxkbuAdh48e+QLDzsWzlCkL+xqCzY=
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver

# HikariCP Pool Configuration
spring.datasource.hikari.minimum-idle=5
spring.datasource.hikari.maximum-pool-size=10
spring.datasource.hikari.idle-timeout=30000
spring.datasource.hikari.max-lifetime=1800000

# JPA/Hibernate Configuration
spring.jpa.show-sql=true
spring.jpa.hibernate.ddl-auto=none
spring.jpa.properties.hibernate.format_sql=true
spring.jpa.open-in-view=false
spring.devtools.livereload.enabled=false

server.port=8081
eureka.instance.instance-id==${spring.cloud.client.hostname}:${spring.application.name}:${random.value}

eureka.client.service-url.defaultZone=http://eureka.sicanet.mx:8761/eureka/
#eureka.client.service-url.defaultZone=http://eureka-server:8761/eureka
#eureka.client.service-url.defaultZone=http://eureka.sicanet.mx/eureka
#eureka.instance.lease-renewal-interval-in-seconds=0
